Bug 1999957 - Printing of banner before PCL file only prints banner
Summary: Printing of banner before PCL file only prints banner
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-01 06:43 UTC by Zdenek Dohnal
Modified: 2021-11-29 01:10 UTC (History)
2 users (show)

Fixed In Version: cups-2.3.3op2-9.fc33 cups-2.3.3op2-10.fc35 cups-2.3.3op2-10.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-13 01:15:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Zdenek Dohnal 2021-09-01 06:43:40 UTC
This bug was initially created as a copy of Bug #1982891

I am copying this bug because: 



Description of problem:

  Printing a banner before a PCL file causes only the banner to be
  printed.

Version-Release number of selected component (if applicable):

  cups-2.2.6-38.el8

How reproducible:

  100%

Steps to Reproduce:

 1. lpadmin -p test -m foomatic:HP-LaserJet_4Si-ljet4.ppd -v file:/tmp/test.out -E
 2. lp -d test -o job-sheets=standard <some-pcl-file>

Actual results:

  <some-pcl-file> isn't printed.  Only the banner page is printed.

Expected results:

  Both banne and PCL file should print.

Additional info:

  This was fixed in:

    Raw printing with multiple files and/or banners does not work
    https://github.com/apple/cups/issues/1933

  but unfortunately this commit:

    https://github.com/OpenPrinting/cups/commit/c6e4e712

  which was added to fix:

    https://github.com/apple/cups/issues/4782

  caused a regression resulting in the re-appearance of this issue.

  Test script and proposed patch to follow.

  This likely exists in RHEL 9 and upstream.

Comment 1 Fedora Update System 2021-11-04 12:30:22 UTC
FEDORA-2021-8ff3051c10 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-8ff3051c10

Comment 2 Fedora Update System 2021-11-04 12:47:27 UTC
FEDORA-2021-f4efb6d999 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f4efb6d999

Comment 3 Fedora Update System 2021-11-04 13:04:32 UTC
FEDORA-2021-e6bd2946fc has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-e6bd2946fc

Comment 4 Fedora Update System 2021-11-05 01:21:50 UTC
FEDORA-2021-8ff3051c10 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-8ff3051c10`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8ff3051c10

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-11-05 01:38:07 UTC
FEDORA-2021-f4efb6d999 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f4efb6d999`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f4efb6d999

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-11-05 02:40:56 UTC
FEDORA-2021-e6bd2946fc has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-e6bd2946fc`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-e6bd2946fc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-11-13 01:15:24 UTC
FEDORA-2021-e6bd2946fc has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-11-14 02:26:39 UTC
FEDORA-2021-d114176c57 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d114176c57`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d114176c57

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-11-14 02:39:39 UTC
FEDORA-2021-b878f6c79d has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-b878f6c79d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b878f6c79d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-11-15 05:47:15 UTC
FEDORA-2021-b878f6c79d has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-11-29 01:10:09 UTC
FEDORA-2021-d114176c57 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.